#include <bits/stdc++.h>
using namespace std;

int main(int argc, char**argv){
ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
unsigned long long x, y; cin >> x >> y;
long long s[100001];
long long i = 0;
while ( (x > 0) || ( y > 0 ) ){
    s[i] = max( x%10, y%10 );
    i++;
    if ( x%10 == y%10 ){
        s[i+1] = s[i];
        i++;
    }
    x /= 10;
    y /= 10;
}
while ( i > 0 ){
    cout << s[i-1];
    i--;
}
return 0;
}